
Redmine - Feature #1665

Ability to delete tracker comments

2008-07-20 14:18 - Derek Montgomery

Status: Closed Start date: 2008-07-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Internet is NOT a friendly place anymore and when you let anonymous people post on trackers, you often get spam in the comments.

An option to delete those would be nice (not to mention an antispam system or even just a link counter that would deny comment if

links are too many)

Related issues:

Related to Redmine - Feature #1725: Delete button on comments Closed 2008-07-31

Related to Redmine - Patch #7610: Patch providing issue journal rollback New 2011-02-11

History

#1 - 2008-07-20 18:44 - James Turnbull

- Status changed from New to Resolved

You can delete comments.  Edit the comment and remove all content and if empty the comment will be removed.

#2 - 2008-07-20 19:58 - Derek Montgomery

Tricky. Thanks.

#3 - 2009-02-19 13:20 - Jens Goldhammer

How can I edit the comment? Is it only possible to delete the own comment?

#4 - 2010-01-19 11:15 - Andreas Wenger

That is not true.

If there is a file attached, you can remove the text, but the file will stay there!

Please add a delete button or something like that.

#5 - 2010-01-19 11:21 - Andreas Wenger

Andreas Wenger wrote:

That is not true.

If there is a file attached, you can remove the text, but the file will stay there!

Please add a delete button or something like that.

 Actually you can delete the file, but the comment still stays there.

#6 - 2011-02-11 20:58 - Brian Lindahl

created a related patch for rolling back journal entries #7610

This rolls back the changes made to the issue as well as removing the journal entry. Note that this capability is only enabled for the last journal entry

(for obvious reasons).

#7 - 2018-09-18 13:00 - Go MAEDA

- Status changed from Resolved to Closed

- Resolution set to Fixed
https://www.redmine.org/issues/7610


You can delete notes if you have sufficient permission. In addition, delete button was added by #1725.
